View Issue Details

This bug affects 1 person(s).
 10
IDProjectCategoryView StatusLast Update
18498Bug reportsQuestion themepublic2022-11-29 16:22
ReporterKapilSabarwal Assigned Togabrieljenik  
PriorityurgentSeveritypartial_block 
Status ready for testingResolutionopen 
Product Version5.4.x 
Summary18498: question themes
Description

Custom question theme affecting the question list appearance.

Steps To Reproduce

Steps to reproduce

The customer is using a self-designed question theme ("Koogoo Smileys").

Expected result

All questions should appear in the question list.

Actual result

All questions using that question theme do not appear in the question list, only in the question structure.
(missing questions from the question lists, for example, survey -id 849968 has 98 questions but it appears to be 18 questions only ( Screenshots are attached )

TagsNo tags attached.
Bug heat10
Complete LimeSurvey version number (& build)5.4.11
I will donate to the project if issue is resolvedNo
Browserfirefox, chrome
Database type & version447
Server OS (if known)
Webserver software & version (if known)
PHP VersionN/A

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

KapilSabarwal

KapilSabarwal

2022-11-18 14:40

reporter  

question theme page 3.png (67,935 bytes)   
question theme page 3.png (67,935 bytes)   
ollehar

ollehar

2022-11-21 11:10

administrator   ~72830

Ehm, you have an lss we can use to reproduce the issue?

ollehar

ollehar

2022-11-21 11:11

administrator   ~72831

(apply question theme)

This is not enough information.

c_schmitz

c_schmitz

2022-11-22 21:22

administrator   ~72852

My guess is that questions using a non-core question theme are generally not appearing in the question list.
@gabrieljenik can you confirm that?

gabrieljenik

gabrieljenik

2022-11-23 17:34

manager   ~72869

So the stpes for reproduction would be:

  • Create a question using a custom theme
  • Check the question appears in the question list.

Right?

c_schmitz

c_schmitz

2022-11-23 17:57

administrator   ~72872

Last edited: 2022-11-23 17:58

yep, a user question theme (not provided by us)

gabrieljenik

gabrieljenik

2022-11-23 18:26

manager   ~72874

This is a bug. Will push a fix soon

gabrieljenik

gabrieljenik

2022-11-23 20:30

manager   ~72878

Master PR: https://github.com/LimeSurvey/LimeSurvey/pull/2744

DenisChenu

DenisChenu

2022-11-24 10:24

developer   ~72882

See my comment,
If it's not possible or it's not OK etc … please : tell me. Code seems OK, but can maybe be better.

gabrieljenik

gabrieljenik

2022-11-25 14:14

manager   ~72895

See my comment,

I see no comments on this PR... wrong ticket maybe?

DenisChenu

DenisChenu

2022-11-25 14:58

developer   ~72897

Oh,
Pending comment …
Sorry

tammo

tammo

2022-11-29 14:01

developer   ~72932

Hi, is there any ETA for this? I developed te custom question theme and was not aware of this issue....

Issue History

Date Modified Username Field Change
2022-11-18 14:40 KapilSabarwal New Issue
2022-11-18 14:40 KapilSabarwal File Added: question list appearance (849968).png
2022-11-18 14:40 KapilSabarwal File Added: question structure view 98 questions (849968).png
2022-11-18 14:40 KapilSabarwal File Added: DATA integrity check.png
2022-11-18 14:40 KapilSabarwal File Added: question theme page 1.png
2022-11-18 14:40 KapilSabarwal File Added: question theme page 2.png
2022-11-18 14:40 KapilSabarwal File Added: question theme page 3.png
2022-11-18 14:40 KapilSabarwal File Added: question theme page 4.png
2022-11-21 11:10 ollehar Note Added: 72830
2022-11-21 11:10 ollehar Bug heat 0 => 2
2022-11-21 11:11 ollehar Note Added: 72831
2022-11-22 16:26 KapilSabarwal Bug heat 2 => 4
2022-11-22 21:10 c_schmitz File Deleted: DATA integrity check.png
2022-11-22 21:11 c_schmitz File Deleted: question theme page 2.png
2022-11-22 21:11 c_schmitz Bug heat 4 => 2
2022-11-22 21:11 c_schmitz File Deleted: question theme page 4.png
2022-11-22 21:11 c_schmitz File Deleted: question theme page 1.png
2022-11-22 21:14 c_schmitz Description Updated
2022-11-22 21:14 c_schmitz Steps to Reproduce Updated
2022-11-22 21:20 c_schmitz Steps to Reproduce Updated
2022-11-22 21:22 c_schmitz Note Added: 72852
2022-11-22 21:22 c_schmitz Bug heat 2 => 4
2022-11-22 21:22 c_schmitz Assigned To => gabrieljenik
2022-11-22 21:22 c_schmitz Status new => assigned
2022-11-22 21:26 c_schmitz Priority none => urgent
2022-11-23 17:34 gabrieljenik Note Added: 72869
2022-11-23 17:34 gabrieljenik Bug heat 4 => 6
2022-11-23 17:57 c_schmitz Note Added: 72872
2022-11-23 17:58 c_schmitz Note Edited: 72872
2022-11-23 18:26 gabrieljenik Note Added: 72874
2022-11-23 20:30 gabrieljenik Note Added: 72878
2022-11-23 20:31 gabrieljenik Assigned To gabrieljenik => DenisChenu
2022-11-23 20:31 gabrieljenik Status assigned => ready for code review
2022-11-24 10:24 DenisChenu Assigned To DenisChenu => gabrieljenik
2022-11-24 10:24 DenisChenu Note Added: 72882
2022-11-24 10:24 DenisChenu Bug heat 6 => 8
2022-11-25 14:14 gabrieljenik Note Added: 72895
2022-11-25 14:58 DenisChenu Note Added: 72897
2022-11-25 14:58 DenisChenu File Added: Capture d’écran du 2022-11-25 14-57-38.png
2022-11-29 14:01 tammo Note Added: 72932
2022-11-29 14:01 tammo Bug heat 8 => 10
2022-11-29 16:21 DenisChenu Status ready for code review => ready for testing